using System;
using System.Linq;
class Program
{
    public static void Main()
    {
        string[] NL = Console.ReadLine().Split(" ");
        int N = int.Parse(NL[0]);
        int L = int.Parse(NL[1]);
        int[] niz = Console.ReadLine().Split(' ').Select(int.Parse).ToArray();

        int i = 0;
        while (i < N && niz[i] > L)
        {
            i++;
        }

        if (i == N)
        {
            Console.WriteLine(-1);
        }
        else
        {
            Console.WriteLine(i + 1);
        }

    }
}